For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
StatusDashboard
  • Getting Started
    • Introduction
    • Authentication
    • Rate Limits
    • Error Handling
  • Guides
    • Cash-In (Receiving Payments)
    • Cash-Out (Sending Payments)
    • PIX Keys Management
    • Webhooks Integration
    • MED (Special Returns)
  • API Reference
      • GETList PIX Keys
      • POSTRegister PIX Key
      • GETGet PIX Key by Value
      • DELDelete PIX Key
LogoLogo
StatusDashboard
API ReferencePix Keys

Register PIX Key

POST
https://api.brzip.com.br/api/v1/pix/keys
POST
/api/v1/pix/keys
$curl -X POST https://api.brzip.com.br/api/v1/pix/keys \
> -H "Content-Type: application/json" \
> -d '{
> "key_type": "EVP"
>}'
1{
2 "data": {
3 "registered": true,
4 "key": "c4501bd5-884b-4bd7-ae63-0f22fb889b7d",
5 "type": "EVP",
6 "keyStatus": "ACTIVE",
7 "createdAt": "2026-04-18T18:53:14-03:00",
8 "dictTransactionId": ""
9 }
10}
Registers a new PIX key in DICT/BACEN. **Simplified!** Only `key_type` is required. Account data (account_type, account_number, branch_number, person_type, tax_id, name, trade_name, account_open_date) is automatically populated from the approved onboarding data. **Key types (`key_type`):** - `CPF` — Individual taxpayer ID (11 digits) - `CNPJ` — Business taxpayer ID (14 digits) - `EMAIL` — Email address - `PHONE` — Phone number (+55...) - `EVP` — Random key (generated by BACEN, send empty `key`) **Required field:** `key_type` **Optional field:** `key` (required for CPF, CNPJ, EMAIL, PHONE; empty for EVP) **Optional override fields:** To override onboarding data, send any of: `account_type`, `account_number`, `branch_number`, `person_type`, `tax_id`, `name`, `trade_name`, `account_open_date` **Tip:** For EVP (random key), just send `{"key_type": "EVP"}`. BACEN generates the key automatically. **Scope:** `pix:keys:write`
Was this page helpful?
Previous

Get PIX Key by Value

Next
Built with

Registers a new PIX key in DICT/BACEN.

Simplified! Only key_type is required. Account data (account_type, account_number, branch_number, person_type, tax_id, name, trade_name, account_open_date) is automatically populated from the approved onboarding data.

Key types (key_type):

  • CPF — Individual taxpayer ID (11 digits)
  • CNPJ — Business taxpayer ID (14 digits)
  • EMAIL — Email address
  • PHONE — Phone number (+55…)
  • EVP — Random key (generated by BACEN, send empty key)

Required field: key_type Optional field: key (required for CPF, CNPJ, EMAIL, PHONE; empty for EVP)

Optional override fields: To override onboarding data, send any of: account_type, account_number, branch_number, person_type, tax_id, name, trade_name, account_open_date

Tip: For EVP (random key), just send {"key_type": "EVP"}. BACEN generates the key automatically.

Scope: pix:keys:write

Request

This endpoint expects an object.
key_typeenumRequired
Type of PIX key to register
Allowed values:
keystringOptional
Key value. Required for CPF, CNPJ, EMAIL, PHONE. Leave empty for EVP.

Response

PIX key registered successfully
dataobject

Errors

400
Bad Request Error
409
Conflict Error